Loading...
Searching...
No Matches
caf::intrusive::singly_linked< T > Struct Template Reference

Intrusive base for singly linked types that allows queues to use T with dummy nodes. More...

`#include <singly_linked.hpp>`

## Public Types

using | node_type = singly_linked<T>
| The type for dummy nodes in singly linked lists.
using | node_pointer = node_type*
| Type of the pointer connecting two singly linked nodes.

## Public Member Functions

| singly_linked (node_pointer n=nullptr)

## Public Attributes

node_pointer | next
| Intrusive pointer to the next element.

## Detailed Description

template<class T>
struct caf::intrusive::singly_linked< T >

Intrusive base for singly linked types that allows queues to use T with dummy nodes.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/intrusive/singly_linked.hpp